Skip to main content
POST
/
Agent
/
Legal
/
ApplyId
Apply Id
curl --request POST \
  --url https://{host}/Agent/Legal/ApplyId \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "keyId": "<string>",
  "nonce": "<string>",
  "keySignature": "<string>",
  "requestSignature": "<string>",
  "Properties": [
    {
      "name": "<string>",
      "value": "<string>"
    }
  ]
}
'
{
  "Identity": {}
}

Overview

Allows the client to apply for a new Legal Identity on the server. The application must be signed using one of the keys created by the client.

Authentication

Requires a valid JWT bearer token.

Notes

This endpoint uses the request schema notation described in Pattern matching.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Body

application/json
keyId
string
required
nonce
string
required
keySignature
string
required
requestSignature
string
required
Properties
object[]

Response

200 - application/json

Success

Identity
object
required